pkg_add -ui, Can't call method "visit" on unblessed reference at..

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

pkg_add -ui, Can't call method "visit" on unblessed reference at..

Mikolaj Kucharski
Hi,

I'm updating packages half years old (don't remeber exacly) to
3.9-release packages on system (that was -current system).


$ dmesg | head -n2
OpenBSD 3.9 (GENERIC) #615: Tue Feb 28 20:41:06 MST 2006
    [hidden email]:/usr/src/sys/arch/i386/compile/GENERIC


and it's finish with below error:

# pkg_add -ui
(...)
Can't call method "visit" on unblessed reference at /usr/libdata/perl5/OpenBSD/Delete.pm line 105.
# echo $?
255


It's not a big problem, because after re-run `pkg_add -ui' everything
goes forward. I'm attaching screen output of update process and dmesg.

--
best regards
q#
# pkg_add -ui
Error from ftp://ftp.openbsd.org/pub/OpenBSD/3.9/packages/i386/:
Unknown command.
Candidates for updating ImageMagick-6.2.3.3-no_x11 ->
ImageMagick-6.2.6.1-no_x11
Candidates for updating Xaw3d-1.5p0 -> Xaw3d-1.5p0
Candidates for updating aalib-1.2 -> aalib-1.2p0
Candidates for updating arc-5.21n -> arc-5.21n
Candidates for updating arping-2.05p0 -> arping-2.05p0
Candidates for updating atk-1.10.1 -> atk-1.10.3p1
Candidates for updating cabextract-1.1 -> cabextract-1.1
Candidates for updating cdparanoia-3.a9.8 -> cdparanoia-3.a9.8p0
Candidates for updating cdrtools-2.01 -> cdrtools-2.01
Candidates for updating clamav-0.88 -> clamav-0.88
Candidates for updating curl-7.15.1 -> curl-7.15.1
Candidates for updating dmidecode-2.6 -> dmidecode-2.6
Candidates for updating dosbox-0.63 -> dosbox-0.63p0
Candidates for updating esound-0.2.34 -> esound-0.2.34p0
Candidates for updating ettercap-0.6.b-no_x11 -> ettercap-0.6.bp3-no_x11
Candidates for updating fetchmail-6.2.5.2p1 -> fetchmail-6.3.2
Candidates for updating flac-1.1.2 -> flac-1.1.2p1
Candidates for updating gettext-0.10.40p3 -> gettext-0.14.5p1
Candidates for updating gimp-2.2.8 -> gimp-2.2.10
Candidates for updating glib-1.2.10p0 -> glib-1.2.10p1
Candidates for updating glib2-2.6.4 -> glib2-2.8.4
Candidates for updating gmake-3.80p1 -> gmake-3.80p1
Candidates for updating gmp-4.1.4 -> gmp-4.1.4p0
Candidates for updating gphoto-2.1.5 -> gphoto-2.1.5
Candidates for updating gqview-2.0.0 -> gqview-2.0.1p1
Candidates for updating gtk+-1.2.10p3 -> gtk+-1.2.10p4
Candidates for updating gtk+2-2.6.9p0 -> gtk+2-2.6.10p1
Candidates for updating gtypist-2.7p0 -> gtypist-2.7p0
Candidates for updating gv-3.5.8p4 -> gv-3.5.8p4
Candidates for updating ifstat-1.1 -> ifstat-1.1p0
Candidates for updating igal-1.4 -> igal-1.4
Candidates for updating imlib2-1.1.2p0 -> imlib2-1.1.2p2
Candidates for updating iperf-2.0.2 -> iperf-2.0.2
Candidates for updating kermit-8.0.211 -> kermit-8.0.211
Candidates for updating kismet-200508R1 -> kismet-200508R1p1
Candidates for updating lame-3.96.1p0 -> lame-3.96.1p1
Candidates for updating lha-1.14i.p0 -> lha-1.14i.ac20050924
Candidates for updating libao-0.8.5p2 -> libao-0.8.5p2
Candidates for updating libart-2.3.17 -> libart-2.3.17
Candidates for updating libaudiofile-0.2.6 -> libaudiofile-0.2.6p0
Candidates for updating libdnet-1.10 -> libdnet-1.10p1
Candidates for updating libexif-0.5.9p2 -> libexif-0.5.9p3
Candidates for updating libglade2-2.5.1 -> libglade2-2.5.1p4
Candidates for updating libgphoto-2.1.5 -> libgphoto-2.1.5p0
Candidates for updating libltdl-1.5.18 -> libltdl-1.5.22p1
Candidates for updating libmikmod-3.1.10p3 -> libmikmod-3.1.10p4
Candidates for updating libmng-1.0.9p1 -> libmng-1.0.9p1
Candidates for updating libnids-1.18p1 -> libnids-1.20
Candidates for updating libogg-1.1.2p0 -> libogg-1.1.3
Candidates for updating libslang-1.4.9p2 -> libslang-1.4.9p3
Candidates for updating libtheora-1.0alpha4 -> libtheora-1.0alpha4p0
Candidates for updating libtool-1.5.18p2 -> libtool-1.5.22
Candidates for updating libungif-4.1.0b1 -> libungif-4.1.4
Candidates for updating libusb-0.1.10a -> libusb-0.1.10ap1
Candidates for updating libutf8-0.7.3p0 -> libutf8-0.8
Candidates for updating libvorbis-1.1.1p0 -> libvorbis-1.1.2
Candidates for updating libwmf-0.2.8.3 -> libwmf-0.2.8.3p1
Candidates for updating libxml-2.6.16p6 -> libxml-2.6.16p8
Candidates for updating madplay-0.15.2b -> madplay-0.15.2b
Candidates for updating mc-4.6.1p0 -> mc-4.6.1p0
Candidates for updating mod_perl-1.29p0 -> mod_perl-1.29p0
Candidates for updating mozilla-firefox-1.0.7p2 -> mozilla-firefox-1.5.0.1
Candidates for updating mpg321-0.2.10p0 -> mpg321-0.2.10p0
Candidates for updating mplayer-1.0pre7p11 -> mplayer-1.0pre7p14
Candidates for updating msmtp-1.4.4 -> msmtp-1.4.4
Candidates for updating mutt-1.4.2ip2-compressed -> mutt-1.4.2ip2-compressed
Candidates for updating nasm-0.98.38p0 -> nasm-0.98.38p0
Candidates for updating nmap-3.93-no_x11 -> nmap-3.95p0-no_x11
Candidates for updating ntop-1.1 -> ntop-1.1
Candidates for updating p5-IO-String-1.06 -> p5-IO-String-1.08
Candidates for updating pango-1.8.1 -> pango-1.10.2p0
Candidates for updating pcre++-0.9.5 -> pcre++-0.9.5p1
Candidates for updating pcre-4.5p1 -> pcre-6.4p1
Candidates for updating physfs-1.0.0 -> physfs-1.0.0p1
Candidates for updating png2ico-20021208 -> png2ico-20021208
Candidates for updating popt-1.7 -> popt-1.7p0
Candidates for updating poptop-1.1.4.b4p1 -> poptop-1.1.4.b4p1
Candidates for updating pptp-1.6.0 -> pptp-1.7.0
Candidates for updating procmail-3.22p0 -> procmail-3.22p0
Candidates for updating pstree-2.17p1 -> pstree-2.17p1
Candidates for updating rdesktop-1.4.1 -> rdesktop-1.4.1
Candidates for updating samba-3.0.20b -> samba-3.0.21bp2
Candidates for updating screen-4.0.2 -> screen-4.0.2
Candidates for updating sdl-1.2.9-sun -> sdl-1.2.9p1-sun
Candidates for updating sdl-net-1.2.5 -> sdl-net-1.2.5p2
Candidates for updating sdl-sound-1.0.1p0 -> sdl-sound-1.0.1p2
Candidates for updating sharity-light-1.2 -> sharity-light-1.2
Candidates for updating slrn-0.9.8.1p1 -> slrn-0.9.8.1p1
Candidates for updating smpeg-0.4.4p0 -> smpeg-0.4.4p2
Candidates for updating sox-12.17.7p0 -> sox-12.17.7p0
Candidates for updating speex-1.0.5p0 -> speex-1.0.5p0
Candidates for updating stress-0.18.6 -> stress-0.18.6
Candidates for updating stunnel-4.11 -> stunnel-4.14p0
Candidates for updating tightvnc-viewer-1.2.9 -> tightvnc-viewer-1.2.9
Candidates for updating tin-1.6.2 -> tin-1.6.2
Candidates for updating unzip-5.52 -> unzip-5.52
Candidates for updating wget-1.10.2 -> wget-1.10.2p0
Candidates for updating wol-0.7.1p0 -> wol-0.7.1p1
Candidates for updating xmms-1.2.10p5 -> xmms-1.2.10p6
Candidates for updating xmms-flac-1.1.2 -> xmms-flac-1.1.2
Candidates for updating xmms-mikmod-1.2.10p5 -> xmms-mikmod-1.2.10p5
Candidates for updating xmms-mp3-1.2.10p5 -> xmms-mp3-1.2.10p6
Candidates for updating xmms-vorbis-1.2.10p5 -> xmms-vorbis-1.2.10p5
Candidates for updating xmms-xmp-2.0.4p0 -> xmms-xmp-2.0.4p1
Candidates for updating xmp-2.0.4p2 -> xmp-2.0.4p2
Candidates for updating xscreensaver-4.22-no_gle ->
xscreensaver-4.22p2-no_gle
Candidates for updating zip-2.3p0 -> zip-2.3p0
Candidates for updating zoo-2.10.1 -> zoo-2.10.1
Looking for updates: complete
Cannot find updates for ekg-1.6 unarj-2.43 unrar-3.43 visualboyadvance-1.7.2
win32-codecs-20050412
Proceed? [y/N] y
Running the equivalent of pkg_add -r ImageMagick-6.2.6.1-no_x11 Xaw3d-1.5p0
aalib-1.2p0 arc-5.21n arping-2.05p0 atk-1.10.3p1 cabextract-1.1
cdparanoia-3.a9.8p0 cdrtools-2.01 clamav-0.88 curl-7.15.1 dmidecode-2.6
dosbox-0.63p0 esound-0.2.34p0 ettercap-0.6.bp3-no_x11 fetchmail-6.3.2
flac-1.1.2p1 gettext-0.14.5p1 gimp-2.2.10 glib-1.2.10p1 glib2-2.8.4
gmake-3.80p1 gmp-4.1.4p0 gphoto-2.1.5 gqview-2.0.1p1 gtk+-1.2.10p4
gtk+2-2.6.10p1 gtypist-2.7p0 gv-3.5.8p4 ifstat-1.1p0 igal-1.4 imlib2-1.1.2p2
iperf-2.0.2 kermit-8.0.211 kismet-200508R1p1 lame-3.96.1p1
lha-1.14i.ac20050924 libao-0.8.5p2 libart-2.3.17 libaudiofile-0.2.6p0
libdnet-1.10p1 libexif-0.5.9p3 libglade2-2.5.1p4 libgphoto-2.1.5p0
libltdl-1.5.22p1 libmikmod-3.1.10p4 libmng-1.0.9p1 libnids-1.20 libogg-1.1.3
libslang-1.4.9p3 libtheora-1.0alpha4p0 libtool-1.5.22 libungif-4.1.4
libusb-0.1.10ap1 libutf8-0.8 libvorbis-1.1.2 libwmf-0.2.8.3p1 libxml-2.6.16p8
madplay-0.15.2b mc-4.6.1p0 mod_perl-1.29p0 mozilla-firefox-1.5.0.1
mpg321-0.2.10p0 mplayer-1.0pre7p14 msmtp-1.4.4 mutt-1.4.2ip2-compressed
nasm-0.98.38p0 nmap-3.95p0-no_x11 ntop-1.1 p5-IO-String-1.08 pango-1.10.2p0
pcre++-0.9.5p1 pcre-6.4p1 physfs-1.0.0p1 png2ico-20021208 popt-1.7p0
poptop-1.1.4.b4p1 pptp-1.7.0 procmail-3.22p0 pstree-2.17p1 rdesktop-1.4.1
samba-3.0.21bp2 screen-4.0.2 sdl-1.2.9p1-sun sdl-net-1.2.5p2 sdl-sound-1.0.1p2
sharity-light-1.2 slrn-0.9.8.1p1 smpeg-0.4.4p2 sox-12.17.7p0 speex-1.0.5p0
stress-0.18.6 stunnel-4.14p0 tightvnc-viewer-1.2.9 tin-1.6.2 unzip-5.52
wget-1.10.2p0 wol-0.7.1p1 xmms-1.2.10p6 xmms-flac-1.1.2 xmms-mikmod-1.2.10p5
xmms-mp3-1.2.10p6 xmms-vorbis-1.2.10p5 xmms-xmp-2.0.4p1 xmp-2.0.4p2
xscreensaver-4.22p2-no_gle zip-2.3p0 zoo-2.10.1
New package libxml-2.6.16p8 contains potentially unsafe operations
        @exec /usr/local/share/libxml2/rebuild
proceed with update anyways? [y/N/a] a
libxml-2.6.16p8 (extracting): complete
libxml-2.6.16p6 (deleting): complete
libxml-2.6.16p8 (installing): complete
ImageMagick-6.2.6.1-no_x11 (extracting): complete
ImageMagick-6.2.3.3-no_x11 (deleting): complete
ImageMagick-6.2.6.1-no_x11 (installing): complete
Xaw3d-1.5p0 (extracting): complete
Xaw3d-1.5p0 (deleting): complete
Xaw3d-1.5p0 (installing): complete
aalib-1.2p0 (extracting): complete
aalib-1.2 (deleting): complete
aalib-1.2p0 (installing): complete
arc-5.21n (extracting): complete
arc-5.21n (deleting): complete
arc-5.21n (installing): complete
arping-2.05p0 (extracting): complete
arping-2.05p0 (deleting): complete
arping-2.05p0 (installing): complete
Clean shared items: complete
--- libxml-2.6.16p6 -------------------
Remember to update /var/db/xmlcatalog
Can't call method "visit" on unblessed reference at
/usr/libdata/perl5/OpenBSD/Delete.pm line 105.
# echo $?
255
OpenBSD 3.9 (GENERIC) #615: Tue Feb 28 20:41:06 MST 2006
    [hidden email]:/usr/src/sys/arch/i386/compile/GENERIC
cpu0: Intel Pentium III ("GenuineIntel" 686-class) 598 MHz
cpu0: FPU,V86,DE,PSE,TSC,MSR,PAE,MCE,CX8,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,MMX,FXSR,SSE
real mem  = 133734400 (130600K)
avail mem = 115302400 (112600K)
using 1658 buffers containing 6791168 bytes (6632K) of memory
mainbus0 (root)
bios0 at mainbus0: AT/286+(ff) BIOS, date 11/30/99, BIOS32 rev. 0 @ 0xf0000
apm0 at bios0: Power Management spec V1.2 (BIOS managing devices)
apm0: AC on, no battery
apm0: flags 130102 dobusy 0 doidle 1
pcibios0 at bios0: rev 2.1 @ 0xf0000/0x1200
pcibios0: PCI IRQ Routing Table rev 1.0 @ 0xfe4c0/208 (11 entries)
pcibios0: PCI Exclusive IRQs: 11
pcibios0: PCI Interrupt Router at 000:07:0 ("Intel 82371AB PIIX4 ISA" rev 0x00)
pcibios0: PCI bus #1 is the last bus
bios0: ROM list: 0xc0000/0x10000 0xd0000/0x1800
cpu0 at mainbus0
pci0 at mainbus0 bus 0: configuration mode 1 (bios)
pchb0 at pci0 dev 0 function 0 "Intel 82443BX" rev 0x03
cbb0 at pci0 dev 4 function 0 "Texas Instruments PCI1211 CardBus" rev 0x00: irq 11
vga1 at pci0 dev 5 function 0 "ATI Mach64 LI" rev 0xdc
wsdisplay0 at vga1 mux 1: console (80x25, vt100 emulation)
wsdisplay0: screen 1-5 added (80x25, vt100 emulation)
pcib0 at pci0 dev 7 function 0 "Intel 82371AB PIIX4 ISA" rev 0x02
pciide0 at pci0 dev 7 function 1 "Intel 82371AB IDE" rev 0x01: DMA, channel 0 wired to compatibility, channel 1 wired to compatibility
wd0 at pciide0 channel 0 drive 0: <IBM-DJSA-210>
wd0: 16-sector PIO, LBA, 5729MB, 11733120 sectors
wd0(pciide0:0:0): using PIO mode 4, Ultra-DMA mode 2
pciide0: channel 1 disabled (no drives)
uhci0 at pci0 dev 7 function 2 "Intel 82371AB USB" rev 0x01: irq 11
usb0 at uhci0: USB revision 1.0
uhub0 at usb0
uhub0: Intel UHCI root hub, rev 1.00/1.00, addr 1
uhub0: 2 ports with 2 removable, self powered
piixpm0 at pci0 dev 7 function 3 "Intel 82371AB Power" rev 0x03: SMI
iic0 at piixpm0
"unknown" at iic0 addr 0x18 not configured
maestro0 at pci0 dev 8 function 0 "ESS Maestro 2E" rev 0x10: irq 11
ac97: codec id 0x83847609 (SigmaTel STAC9721/23)
ac97: codec features 18 bit DAC, 18 bit ADC, SigmaTel 3D
audio0 at maestro0
fxp0 at pci0 dev 9 function 0 "Intel 8255x" rev 0x09, i82559S: irq 11, address 00:d0:59:36:16:9e
inphy0 at fxp0 phy 1: i82555 10/100 PHY, rev. 4
"AT&T/Lucent LTMODEM" rev 0x00 at pci0 dev 9 function 1 not configured
cardslot0 at cbb0 slot 0 flags 0
cardbus0 at cardslot0: bus 1 device 0 cacheline 0x8, lattimer 0x20
pcmcia0 at cardslot0
isa0 at pcib0
isadma0 at isa0
pckbc0 at isa0 port 0x60/5
pckbd0 at pckbc0 (kbd slot)
pckbc0: using irq 1 for kbd slot
wskbd0 at pckbd0: console keyboard, using wsdisplay0
pms0 at pckbc0 (aux slot)
pckbc0: using irq 12 for aux slot
wsmouse0 at pms0 mux 0
pcppi0 at isa0 port 0x61
midi0 at pcppi0: <PC speaker>
spkr0 at pcppi0
lpt0 at isa0 port 0x378/4 irq 7
npx0 at isa0 port 0xf0/16: using exception 16
pccom0 at isa0 port 0x3f8/8 irq 4: ns16550a, 16 byte fifo
pccom2 at isa0 port 0x3e8/8 irq 5: ns16550a, 16 byte fifo
fdc0 at isa0 port 0x3f0/6 irq 6 drq 2
biomask ef4d netmask ef4d ttymask ffcf
pctr: 686-class user-level performance counters enabled
mtrr: Pentium Pro MTRR support
dkcsum: wd0 matches BIOS drive 0x80
root on wd0a
rootdev=0x0 rrootdev=0x300 rawdev=0x302

Reply | Threaded
Open this post in threaded view
|

Re: pkg_add -ui, Can't call method "visit" on unblessed reference at..

Mikolaj Kucharski
After upgrading by hand every package I found problem which result with
error in my previous post:

# ls -al /var/db/pkg/ | grep atk
drwxr-xr-x    2 root  wheel   512 Feb  2 12:57 .libs-atk-1.10.3p0
drwxr-xr-x    2 root  wheel   512 May 22 19:00 atk-1.10.1

# pkg_add -rvi atk-1.10.3p1                
parsing atk-1.10.3p1
Checking for collisions with .libs-atk-1.10.3p0... some found
Can't call method "visit" on unblessed reference at /usr/libdata/perl5/OpenBSD/Delete.pm line 105.

--
best regards
q#